<!DOCTYPE html>
<html>
    <head>
        <title>Task 29.170</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    
        <!-- font -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    </head>
        
<body>
    <div class="container">
        <h2 class="text-center">Danh sách nhân viên</h2>
        <table id="user-table" class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Firstname</th>
                    <th>Lastname</th>
                    <th>Picture</th> 
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
</body>

<script>
    $(document).ready(function(){
        // đây là dữ liệu dùng tạo bảng
    var gEmployeeList =        `{
        "employees": {
            "employee": [
            {
                "id": "1",
                "firstName": "Tom",
                "lastName": "Cruise",
                "photo": "https://jsonformatter.org/img/tom-cruise.jpg"
            },
            {
                "id": "2",
                "firstName": "Maria",
                "lastName": "Sharapova",
                "photo": "https://jsonformatter.org/img/Maria-Sharapova.jpg"
            },
            {
                "id": "3",
                "firstName": "Robert",
                "lastName": "Downey Jr.",
                "photo": "https://jsonformatter.org/img/Robert-Downey-Jr.jpg"
            }
            ]
        }
        }`;

        var gEmpListObject = JSON.parse(gEmployeeList);
        console.log(gEmpListObject);

        const gEnd_ROW_TABLE = -1;
        const gCOLUMN_USER_ID = 0;
        const gCOLUMN_FIRSTNAME = 1;
        const gCOLUMN_LASTNAME = 2;
        const gCOLUMN_PIC=3;
        
        onPageLoading();

        function onPageLoading(){
            showDataOnTable(gEmpListObject.employees);

        }

        function showDataOnTable(paramEmpListObj){
            var vTable = $("#user-table");
            var vTableBody = $("tbody")[0];

            for (var bIndex = 0; bIndex <paramEmpListObj.employee.length; bIndex++){
                var vUser = paramEmpListObj.employee[bIndex];
                var row = vTableBody.insertRow(-1);

                var vCellUserID = row.insertCell(gCOLUMN_USER_ID);
                var vCellFirstname = row.insertCell(gCOLUMN_FIRSTNAME);
                var vCellLastname = row.insertCell(gCOLUMN_LASTNAME);
                var vCellPic = row.insertCell(gCOLUMN_PIC);

                vCellUserID.innerHTML = vUser.id;
                vCellFirstname.innerHTML = vUser.firstName;
                vCellLastname.innerHTML = vUser.lastName;
                var a = document.createElement("img");
                a.src = vUser.photo;
                vCellPic.appendChild(a);
            }
        }
    });
</script>
</html>